Summary:	A utility to provide feedback when starting X11 applications
Name:		xalf
Version:	0.12
Release:	2mdk
License:	GPL
Group:		Graphical desktop/GNOME
Source:		http://www.lysator.liu.se/~altic/projects/xalf/%{name}-%{version}.tar.bz2
Source1:	xalf.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	control-center-devel db1-devel
URL:		http://www.lysator.liu.se/~altic/projects/xalf

%description
This is a small utility to provide feedback when starting X11 &pplications.

Feedback can be given via four different indicators:
   * an invisible window (to be used in conjunction with a task pager like
     Gnomes tasklist_applet or KDE Taskbar)
   * an generic splashscreen
   * an hourglass attached to the mouse cursor or an animated star

%prep

%setup -q

%build
%configure

%make

%install
install -d %buildroot/%_datadir/pixmaps
%makeinstall

install -d %buildroot/%_sysconfdir/gnome/config
bzcat %SOURCE1 > %buildroot/%_sysconfdir/gnome/config/xalf

%clean
rm -fr %buildroot

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS FAQ COPYING ChangeLog NEWS README INSTALL extras
%config(noreplace) %_sysconfdir/gnome/config/xalf
%_bindir/xalf
%_bindir/xalfoff
%_bindir/xalf-capplet
%_datadir/pixmaps/*.png
%_datadir/control-center/*/*
%_datadir/gnome/apps/*/*
%_libdir/libxalflaunch.so.*

%changelog
* Thu Jul 12 2001 Stefan van der Eijk <stefan@eijk.nu> 0.12-2mdk
- BuildRequires:	db1-devel

* Mon Apr 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-1mdk
- Release 0.12
- Remove patch 0 (merged upstream)

* Thu Apr 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11-1mdk
- Release 0.11

* Tue Mar 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-1mdk
- Release 0.10

* Tue Mar 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-1mdk
- Release 0.9

* Mon Feb 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Release 0.8
- control-center .desktop has moved

* Tue Feb 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Release 0.7
- Remove patch1, merged upstream
- Regenerate patch0

* Mon Feb 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-1mdk
- Release 0.5

* Mon Jan 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-4mdk
- Fix LD_PRELOAD with glibc security fix and setuid programs

* Mon Jan 08 2001 David BAUDENS <baudens@mandrakesoft.com> 0.4-3mdk
- BuildRequires: control-center-devel

* Wed Aug 23 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-2mdk
- Activate invisible window mode by default

* Wed Aug 23 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-1mdk
- First mandrake package

* Sun Jun 18 2000 Peter Astrand <altic@lysator.liu.se>
- version 0.4

* Thu Jun 1 2000 Peter Astrand <altic@lysator.liu.se>
- version 0.3

* Sat Apr 15 2000 Peter Astrand <altic@lysator.liu.se>
- version 0.2
